/* -------------------- root -------------------- */
* {
  font-family: 'Poppins', sans-serif;
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  text-decoration: none;
  outline: none;
  border: none;
  -webkit-transition: all .2s linear;
  -o-transition: all .2s linear;
  transition: all .2s linear;
  list-style: none;
  -webkit-tap-highlight-color: transparent !important;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
html{
  overflow-x: hidden;
  scroll-behavior: smooth;
  scroll-padding-top: 5rem;
}
html::-webkit-scrollbar{
  width: 1rem;
}
html::-webkit-scrollbar-thumb{
  background: ghostwhite;
  border: 1px solid gainsboro;
}
body{
  max-width: 2000px;
  margin: auto;
  background: var(--putih);
  color: #555;
}
h1{
  font-size: 32px;
  line-height: 42px;
}
h2{
  font-size: 28px;
  line-height: 38px;
}
h3{
  font-size: 24px;
  line-height: 34px;
}
img{
  display: block;
  width: 100%;
  height: 100%;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
p, li, span, a, button{
  line-height: 26px;
  font-size: 16px;
}
section, footer {
  padding: 3rem;
}
img{
  display: block;
  width: 100%;
  height: 100%;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.btn {
  display: inline-block;
  padding: 8px 48px;
  background: #224bcf;
  color: #fff;
  cursor: pointer;
  border-radius: .5rem;
  font-size: 18px;
}
.btn:hover {
  background: #302851;
}
.heading {
  background: url(../images/heading-bg.png) no-repeat;
  background-size: cover;
  background-position: center;
}
.heading h2 {
  font-size: 32px;
  color: #fa1d86;
  text-align: center;
}
.grid-300px{
  display: -ms-grid;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-gap: 2rem 1rem;
}
.flex-sb{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 1rem;
}
.flex-down{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 1rem;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.mr-8px{
  margin-right: 8px;
}
.mb-1{
  margin-bottom: 1rem;
}
.pad-left-16px{
  padding-left: 16px;
}
.main .judul{
  background: rgba(0,0,0,25%);
  color: #fff;
  padding: 1.5rem;
  margin-bottom: 1.5rem;
  text-align: center;
}
.main > *{
  margin-bottom: 1rem;
}
.main .thumb{
  max-width: 600px;
  max-height: 400px;
  margin: auto;
}
/* root responsive */
@media (max-width: 1200px) {
  section,
  footer{
    padding: 3rem;
  }
}
@media(max-width: 768px){
  section,
  footer{
    padding: 3rem 2rem;
  }
}
@media(max-width: 480px){
  section,
  footer{
    padding: 3rem 1rem;
  }
  .grid-300px{
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
  }
}

/* -------------------- header -------------------- */
.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  padding: 8px 3rem;
  background: #224bcf;
  height: 80px;
}
.header .logo {
  display: block;
  width: 100px;
  height: 50px;
}
.header .logo img{
  width: 100%;
  height: 100%;
}
.header .navbar ul {
  list-style: none;
}
.header .navbar ul li {
  position: relative;
  float: left;
}
.header .navbar ul li:hover ul {
  display: block;
}
.header .navbar ul li a {
  padding: 1rem;
  display: block;
  font-weight: bold;
  color: #fff;
}
.header .navbar ul li a:hover {
  background: #fa1d86;
}
.header .navbar ul li a i{
  margin-right: 8px;
  display: none;
}
#menu-btn {
  cursor: pointer;
  color: #fff;
  font-size: 32px;
  display: none;
}
/* header responsive */
@media (max-width: 768px) {
  .header {
    padding: 8px 2rem;
  }
  .header .navbar {
    position: absolute;
    top: 99%;
    left: 0;
    right: 0;
    background: #224bcf;
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
            clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    border-top: 1px solid rgba(255,255,255,50%);
    padding: 2rem 1rem;
  }
  .header .navbar.active {
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
            clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }
  .header .navbar ul li {
    width: 100%;
  }
  .header .navbar ul li a i{
    display: inline-block;
  }
  #menu-btn {
    display: inline-block;
  }
}
@media(max-width: 480px){
  .header {
    padding: 8px 1rem;
  }
}

/* -------------------- home -------------------- */
.home {
  padding-top: 5rem;
  place-items: center;
  grid-gap: 1rem;
  background: ghostwhite;
}
.home .content{
  text-align: center;
}
.home .content h1{
  color: #302851;
}
.home .content p {
  color: #666;
  padding: 1rem 0;
}

/* -------------------- category -------------------- */
.category{
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
}
.category img {
  width: 100px;
  height: 100px;
  margin: auto;
}

/* -------------------- about -------------------- */
.about .image img{
  height: auto;
}
.about .content h3 a{
  color: #302851;
  font-size: 24px;
  line-height: 32px;
}
.about .content p {
  padding: 1rem 0;
  color: #666;
}

/* -------------------- fitur -------------------- */
.fitur .box {
  background: #f5f5f5;
  border-radius: 1rem;
  text-align: center;
  padding: 1rem;
}
.fitur .box img{
  width: 150px;
  height: 150px;
}
.fitur .box h3 {
  color: #302851;
}
.fitur .box p {
  color: #666;
}

/* -------------------- proses -------------------- */
.proses .box {
  padding: 0 0 1rem;
  border-radius: 1rem;
  background: #f5f5f5;
}
.proses .box .image img{
  border-radius: 1rem 1rem 0 0; 
}
.proses .box .content{
  text-align: center;
  margin-top: 1rem;
}
.proses .box .content h3 {
  color: #302851;
}
.proses .box .content p {
  color: #666;
}

/* -------------------- parallax satu -------------------- */
.parallax{
  width: 100%;
  height: 100%;
  position: relative;
  background-image: url(../images/parallax.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center center;
  margin-bottom: 3rem;
}
.parallax::after{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background: #fa1d86;
  opacity: .75;
}
.parallax .desc{
  position: relative;
  z-index: 3;
  color: #fff;
  padding: 3rem 0;
}
.parallax .desc h3{
  font-style: italic;
  text-align: center;
}

/* -------------------- course-3 -------------------- */
.course-3 .box {
  text-align: center;
  overflow: hidden;
}
.course-3 .box .content {
  padding-top: 1rem;
}
.course-3 .box .content h3 {
  color: #302851;
  padding: .5rem 0;
}
.course-3 .box .content p {
  color: #666;
}

/* -------------------- testi -------------------- */
.testi .box {
  text-align: center;
  overflow: hidden;
}
.testi .box:hover .image .share {
  -webkit-transform: translateY(0);
          -ms-transform: translateY(0);
      transform: translateY(0);
}
.testi .box:hover .image .share blockquote{
  -webkit-transform: translateY(-1rem);
          -ms-transform: translateY(-1rem);
      transform: translateY(-1rem);
  opacity: 1;
  -webkit-transition: -webkit-transform .2s .2s;
  transition: -webkit-transform .2s .2s;
  -o-transition: transform .2s .2s;
  transition: transform .2s .2s;
  transition: transform .2s .2s, -webkit-transform .2s .2s;
}
.testi .box .image {
  overflow: hidden;
  height: 32rem;
  width: 100%;
  position: relative;
  border-radius: 1rem;
}
.testi .box .image .share {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.7);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  z-index: 10;
  overflow: hidden;
  -webkit-transform: translateY(-100%);
          -ms-transform: translateY(-100%);
      transform: translateY(-100%);
}
.testi .box .image .share blockquote{
  margin: 2rem 1.5rem;
  color: #fff;
  -webkit-transform: translateY(5rem);
          -ms-transform: translateY(5rem);
      transform: translateY(5rem);
  opacity: 0;
  font-size: 24px;
  line-height: 32px;
  font-style: italic;
  color: #fa1d86;
}
.testi .box .image .share blockquote:before,
.testi .box .image .share blockquote:after{
  content: '\0022';
}
.testi .box .image img {
  height: 100%;
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.testi .box .content {
  padding-top: 1rem;
}
.testi .box .content span {
  color: #302851;
  font-weight: bold;
}

/* -------------------- faq -------------------- */
.faq .box .image img {
  width: 50%;
  height: 50%;
  margin: auto;
}
.faq .box .content h3 {
  color: #302851;
}
.faq .box .content p {
  color: #666;
}

/* -------------------- contact -------------------- */
.contact .icons-container .icons {
  text-align: center;
  padding: 2rem;
  border-radius: 1rem;
  background: #f5f5f5;
  margin-bottom: 2rem;
}
.contact .icons-container .icons i {
  height: 6.5rem;
  width: 6.5rem;
  line-height: 6.5rem;
  font-size: 2.5rem;
  color: #224bcf;
  background: #e9edfb;
  border-radius: 50%;
  text-align: center;
  margin-bottom: .5rem;
}
.contact .icons-container .icons h3 {
  color: #302851;
  padding: 1rem;
}
.contact .icons-container .icons a{
  color: #224bcf;
}
.contact .icons-container .icons a:hover{
  color: #fa1d86;
}


.contact .row form {
  background: #f5f5f5;
  padding: 1rem;
  border-radius: 1rem;
}
.contact .row form h3 {
  color: #302851;
  margin-bottom: 1rem;
}
.contact .row form .field {
  margin: 16px 0;
}
.contact .row form .field input,
.contact .row form .field textarea{
  width: 100%;
  padding: 8px;
  border-radius: 8px;
  font-size: 16px;
  line-height: 24px;
  color: #555;
}
.contact .row form .field input::-webkit-input-placeholder, .contact .row form .field textarea::-webkit-input-placeholder{
  color: #999;
}
.contact .row form .field input::-moz-placeholder, .contact .row form .field textarea::-moz-placeholder{
  color: #999;
}
.contact .row form .field input:-ms-input-placeholder, .contact .row form .field textarea:-ms-input-placeholder{
  color: #999;
}
.contact .row form .field input::-ms-input-placeholder, .contact .row form .field textarea::-ms-input-placeholder{
  color: #999;
}
.contact .row form .field input::placeholder,
.contact .row form .field textarea::placeholder{
  color: #999;
}
.contact .row form .field textarea{
  height: 200px;
  resize: none;
}
.contact .row .map {
  width: 100%;
  min-height: 400px;
  height: 100%;
  border-radius: 1rem;
}

/* -------------------- footer -------------------- */
.footer {
  background: ghostwhite;
}
.footer .box-container .box h3 {
  padding: 1rem 0;
  color: #302851;
}
.footer .box-container .box a {
  display: block;
  padding: 8px 0;
  color: #666;
}
.footer .box-container .box a:hover {
  color: #fa1d86;
}
.footer .box-container .box a:hover i {
  padding-right: 2rem;
}
.footer .box-container .box a i {
  color: #fa1d86;
  padding-right: .5rem;
}
.footer .credit {
  text-align: center;
  margin-top: 2rem;
  padding: 1rem;
  padding-top: 2.5rem;
  color: #666;
  border-top: 0.1rem solid rgba(0, 0, 0, 0.1);
}